
#ifndef Ultrasonic_h
#define Ultrasonic_h

#if ARDUINO >= 100
  #include "Arduino.h"
#else
  #include "WProgram.h"
#endif

#define CM 1
#define INC 0

class ComPacto
{
  public:
    ComPacto();
    void iniciar();
    void avanzar(int _pwm);
    void retroceder(int _pwm);
    void derecha(int _pwm);
    void izquierda(int _pwm);
    void parar();
    
    void avanzar(int _tiempo, int _pwm);
    void retroceder(int _tiempo, int _pwm);
    void derecha(int _tiempo, int _pwm);
    void izquierda(int _tiempo, int _pwm);
    void parar(int _tiempo);
    
    void avanzar_motor1(int _pwm);
    void avanzar_motor2(int _pwm);
    void retroceder_motor1(int _pwm);
    void retroceder_motor2(int _pwm);
    
    void avanzar_motor1(int _tiempo,int _pwm);
    void avanzar_motor2(int _tiempo,int _pwm);
    void retroceder_motor1(int _tiempo,int _pwm);
    void retroceder_motor2(int _tiempo,int _pwm);
    
    void no_repetir();
    void repetir();
    
    void led(int _led,int _pwm);
    int sensor(int _sensor);
    
    
    //variables
    const int  pinData =  8;
    const int  pinClock = 4;
    const int  pinLatch  = 12;
    const int  pinOE = 7;
    byte datoMultiplexor = 0;
    
    int pin_vel1 = 11;
    const int orden_dir1A = 2;
    const int orden_dir1B = 3;
    
    int pin_vel2 = 3;
    const int orden_dir2A = 4;
    const int orden_dir2B = 1;
    
    int pin_led0 = 6;
    const int orden_led0 = 5;
    
    int pin_led1 = 5;
    const int orden_led1 = 0;
    
    int valor_led0 = 0;
    int valor_led1 = 0;
    
    int velocidad_motor1 = 0;
    int velocidad_motor2 = 0;
    
    const int pin_sensor0 = A0;
    const int pin_sensor1 = A1;
    const int pin_sensor2 = A2;
    const int pin_sensor3 = A3;
    const int pin_sensor4 = A4;
    const int pin_sensor5 = A5;
    
    int valor_sensor0 = 0;
    int valor_sensor1 = 0;
    int valor_sensor2 = 0;
    int valor_sensor3 = 0;
    int valor_sensor4 = 0;
    int valor_sensor5 = 0;
    
    const int pin_ultrasonico_echo = 10;
    const int pin_ultrasonico_trigger = 9;
    int ultrasonico();
    
    int dist_max = 100;
    int valor_ultrasonico = 0;
    
    bool accion = true;
    
    
private:
    
};

#endif
